<?php 

//
// (C) mkp, 2007
// Author: Mastushkin Kirill. Tomsk.
// E-mail: mkp@inbox.ru, mkp@tpce.tomsk.ru
// ICQ: 169035175
//

  error_reporting(E_ALL);

  define('IN_APPLICATION', true);
  require_once('./xtree.lib.php');
  require('./common.php');
  include('./utils.lib.php');

  $tree16x19 = new xtree('ex16x19');
  $tree16x19->unserializetree('./trees/ex16x19.tree');

  $treeNoImage = new xtree('NoImage');
  $treeNoImage->unserializetree('./trees/NoImage.tree');

  $tree32x32 = new xtree('ex32x32');
  $tree32x32->unserializetree('./trees/ex32x32.tree');

  $treeSimple = new xtree('Simple');
  $treeSimple->unserializetree('./trees/Simple.tree');

  $treeGlass = new xtree('Glass');
  $treeGlass->unserializetree('./trees/Glass.tree');

  print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
  print "<base target=\"_self\">\n";
  print "<html>\n";
  print "<head>\n";
  print "<title>xTree</title>\n";
  print "<meta http-equiv=content-type content=\"text/html; charset=windows-1251\" />\n";
  print "<script language=JavaScript src=\"./common.js\" type=text/javascript></script>\n";
  print "<script language=JavaScript src=\"./xtree.lib.js\" type=text/javascript></script>\n";
  print "<link type=\"text/css\" href=\"./style.css\" rel=\"stylesheet\" />\n";
  print "</head>\n";
  print "<body>\n";

  // ShowTrees
  print "<table border=1 bgcolor=\"#e0e0e0\" cellpadding=1px cellspacing=2px>\n";
  print "<col width=17%><col width=17%><col width=30%><col width=17%><col width=17%>\n";
  print "<tr><td colspan=5 bgcolor=\"#a0a0a0\"><center><big><b>xTree v ".XTREE_LIB_VERSION." examples</b></big> [<a href=\"./constructor.php\">Constructor</a>]</center></td></tr>\n";
  print "<tr>";
  print "  <td bgcolor=\"#c0c0c0\">[<a href=\"./constructor.php?serialtree=ex16x19.tree&loadtree=Load\">Images 19x16</a>]</td>";
  print "  <td bgcolor=\"#c0c0c0\">[<a href=\"./constructor.php?serialtree=NoImage.tree&loadtree=Load\">No images</a>]</td>";
  print "  <td bgcolor=\"#c0c0c0\">[<a href=\"./constructor.php?serialtree=ex32x32.tree&loadtree=Load\">Images 32x32</a>]</td>";
  print "  <td bgcolor=\"#c0c0c0\">[<a href=\"./constructor.php?serialtree=Simple.tree&loadtree=Load\">Simple tree</a>]</td>";
  print "  <td bgcolor=\"#c0c0c0\">[<a href=\"./constructor.php?serialtree=Glass.tree&loadtree=Load\">Glass tree</a>]</td></tr>\n";
  print "<tr>";

  print "<td valign=top>"; $tree16x19->show(); print "</td>";
  print "<td valign=top>"; $treeNoImage->show(); print "</td>";
  print "<td valign=top>"; $tree32x32->show(); print "</td>";
  print "<td valign=top>"; $treeSimple->show(); print "</td>";
  print "<td valign=top>"; $treeGlass->show(); print "</td>";
  print "</tr></table>\n";

  print nl2br($tree16x19->errors);
  print nl2br($treeNoImage->errors);
  print nl2br($tree32x32->errors);
  print nl2br($treeSimple->errors);
  print nl2br($treeGlass->errors);

  print "</body>\n";
  print "</html>\n";

?>